%global pypi_name tldextract

%global py3_prefix python%{python3_pkgversion}

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %mkrel 1.2
Summary:        Accurately separate the TLD from the registered domain and subdomains of a URL

License:        BSD
URL:            https://pypi.python.org/pypi/tldextract
Source0:        tldextract-3.1.0.tar.gz
# pytest-pylint is not packaged in Fedora
Patch0:         %{pypi_name}-remove-pytest-modules.patch
# setuptools_scm is not packaged for EPEL 7/Python 2 and the upstream tarball
# already ships "tldextract/_version.py"
Patch1:         %{pypi_name}-no-setuptools_scm.patch

BuildArch:      noarch

BuildRequires:  lib64python3-devel
BuildRequires:  python3-idna
BuildRequires:  python3-filelock
#BuildRequires:  python3-pytest
BuildRequires:  python3-mock
BuildRequires:  python3-requests >= 2.1.0
BuildRequires:  python3-requests-file
#BuildRequires:  python3-responses
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description
Accurately separate the TLD from the registered domain and
subdomains of a URL, using the Public Suffix List. By default,
this includes the public ICANN TLDs and their exceptions. You can
optionally support the Public Suffix List's private domains as
well.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-idna
Requires:       python3-filelock
Requires:       python3-requests
Requires:       python3-requests-file
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
Accurately separate the TLD from the registered domain and
subdomains of a URL, using the Public Suffix List. By default,
this includes the public ICANN TLDs and their exceptions. You can
optionally support the Public Suffix List's private domains as
well.

This is the Python 3 version of the package.

%prep
%setup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%patch0 -p1

# emulate setuptools_scm for RHEL 7
%if 0%{?rhel} && 0%{?rhel} == 7
%patch1 -p1
sed -i 's/@@VERSION@@/%{version}/' setup.py
# PKG-INFO file must be kept when using setuptools_scm
rm PKG-INFO
%endif

%build
%py3_build

%install
%py3_install

%check
# test_log_snapshot_diff is an integration test and requires network access
# (additionally that test requires python3-pytest-mock which is not available
# in EPEL 7)
TEST_SELECTOR="not test_log_snapshot_diff"

#py.test-3 -x -vk "$TEST_SELECTOR" tests

%files -n python3-%{pypi_name}
#%license LICENSE
%doc README.md
%{python3_sitelib}/tldextract
%{python3_sitelib}/tldextract-%{version}-py%{python3_version}.egg-info
%{_bindir}/tldextract

%changelog
* Sat May 22 2021 adrianomorselli <dev@ufficiozero.org> 3.1.0-1.2ufficiozero2021
- imported for Bergamo
